VkSparseImageMemoryBind Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkSparseImageMemoryBind:
[legend]

## Data Fields

VkImageSubresource | subresource
VkOffset3D | offset
VkExtent3D | extent
VkDeviceMemory | memory
VkDeviceSize | memoryOffset
VkSparseMemoryBindFlags | flags

## Detailed Description

Definition at line 1773 of file vulkan.h.

## Field Documentation

## extent

VkExtent3D VkSparseImageMemoryBind::extent

Definition at line 1776 of file vulkan.h.

## flags

VkSparseMemoryBindFlags VkSparseImageMemoryBind::flags

Definition at line 1779 of file vulkan.h.

## memory

VkDeviceMemory VkSparseImageMemoryBind::memory

Definition at line 1777 of file vulkan.h.

## memoryOffset

VkDeviceSize VkSparseImageMemoryBind::memoryOffset

Definition at line 1778 of file vulkan.h.

## offset

VkOffset3D VkSparseImageMemoryBind::offset

Definition at line 1775 of file vulkan.h.

## subresource

VkImageSubresource VkSparseImageMemoryBind::subresource

Definition at line 1774 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h